Name:           wipe
Version:        2.3.1
Release:        %mkrel 16
Summary:        Secure file deletion utility
License:        GPLv2
Group:          File tools
URL:            https://wipe.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0:         wipe-rootbuildfix.patch
Patch1:         wipe-optflags.patch
Patch2:         wipe-gcc14.patch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
Wipe is a tool that effectively degausses the surface of a hard
disk, making it virtually impossible to retrieve the data that was
stored on it. This tool is designed to make sure secure data that is
erased from a hard drive is unrecoverable.

%prep
%autosetup -p1

%build
%configure
%make_build OPTFLAGS="%{optflags}" LIBS="%{ldflags}"

%install
%make_install bindir=%{buildroot}%{_bindir} \
              datadir=%{buildroot}%{_datadir} \
              mandir=%{buildroot}%{_mandir}

%{__mv} %{buildroot}%{_bindir}/wipe %{buildroot}%{_bindir}/wipe.wipe
%{__mv} %{buildroot}%{_mandir}/man1/wipe.1 %{buildroot}%{_mandir}/man1/wipe.wipe.1

# remove package installed docs
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%post
%{_sbindir}/update-alternatives --install %{_bindir}/wipe wipe %{_bindir}/wipe.wipe 10 --slave %{_mandir}/man1/wipe.1.lzma wipe.1.lzma %{_mandir}/man1/wipe.wipe.1.lzma

%postun
%{_sbindir}/update-alternatives --remove wipe %{_bindir}/wipe.wipe

%files
%doc README CHANGES TODO TESTING
%license LICENSE copyright
%attr(0755,root,root) %{_bindir}/wipe.wipe
%{_mandir}/man1/wipe.wipe.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.3.1-16.mga10
+ Revision: 2228897
- Mageia 10 Mass Rebuild

* Tue Oct 15 2024 daviddavid <daviddavid> 2.3.1-15.mga10
+ Revision: 2106922
- add patch to fix build with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0:2.3.1-14.mga9
+ Revision: 1792877
- Mageia 9 Mass Rebuild

* Mon Jul 06 2020 joequant <joequant> 0:2.3.1-13.mga8
+ Revision: 1602554
- remove arm workaround

* Fri Feb 14 2020 umeabot <umeabot> 0:2.3.1-12.mga8
+ Revision: 1518067
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0:2.3.1-11.mga7
+ Revision: 1301673
- Mageia 7 Mass Rebuild

* Tue Jul 10 2018 wally <wally> 0:2.3.1-10.mga7
+ Revision: 1243001
- fix build on aarch64
- use optflags and ldflags

* Sat Sep 02 2017 daviddavid <daviddavid> 0:2.3.1-9.mga7
+ Revision: 1150934
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Wed Feb 17 2016 umeabot <umeabot> 0:2.3.1-8.mga6
+ Revision: 963246
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 0:2.3.1-7.mga6
+ Revision: 894111
- rediff rootbuildfix patch to fix stripping binary (fix for empty debuginfo)
- move Epoch below the point it's used in .spec

* Wed Oct 15 2014 umeabot <umeabot> 0:2.3.1-6.mga5
+ Revision: 747870
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.3.1-5.mga5
+ Revision: 690318
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:2.3.1-4.mga4
+ Revision: 520206
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0:2.3.1-3.mga3
+ Revision: 385714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 kharec <kharec> 0:2.3.1-2.mga2
+ Revision: 1445
- imported package wipe


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.3.1-2mdv2011.0
+ Revision: 615437
- the mass rebuild of 2010.1 packages

* Tue Apr 13 2010 Sandro Cazzaniga <kharec@mandriva.org> 0:2.3.1-1mdv2010.1
+ Revision: 534194
- fix license to GPLV2
- remove P1, applied upstream
- new version 2.3.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0:2.2.0-8mdv2010.0
+ Revision: 445816
- rebuild

* Wed Mar 11 2009 Lev Givon <lev@mandriva.org> 0:2.2.0-7mdv2009.1
+ Revision: 353568
- Fix alternatives link to man file.

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0:2.2.0-6mdv2009.0
+ Revision: 261991
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0:2.2.0-5mdv2009.0
+ Revision: 256027
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0:2.2.0-3mdv2008.1
+ Revision: 129367
- kill re-definition of %%buildroot on Pixel's request


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 2.2.0-3mdv2007.1
+ Revision: 134929
- spec cleanup
- Import wipe

* Fri Jun 03 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.0-2mdk
- Rebuild

